Last Comment Bug 416327 - Implement HTML5 Client-side database storage
: Implement HTML5 Client-side database storage
Status: RESOLVED WONTFIX
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- enhancement with 9 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://www.whatwg.org/specs/web-apps/...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 02:54 PST by Sylvain Pasche
Modified: 2011-07-19 16:13 PDT (History)
27 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Sylvain Pasche 2008-02-08 02:54:43 PST
WebKit have implemented it already:
http://webkit.org/blog/126/webkit-does-html5-client-side-database-storage/

Would be a nice feature for online or offline applications.

sqlite is already available in the browser but I guess security could be one of the challenging things when exposing it to the API.
Comment 1 Jo Hermans 2008-02-08 09:29:43 PST
That is already done in bug 402272 (for Firefox 3.0).
Comment 2 Sylvain Pasche 2008-02-08 09:43:49 PST
Could you elaborate? I don't see how bug 402272 is related.
Comment 3 Jo Hermans 2008-02-08 14:22:31 PST
Sorry, wrong bug.
Comment 4 William J. Edney 2008-06-20 20:14:02 PDT
I'd love to see this implemented too. I've done a wrapper for the existing SQLite functionality in Mozilla, but it requires XPCOM permissions :-(.

Cheers,

- Bill
Comment 5 Andraz 2010-03-26 06:50:33 PDT
For our business this is a blocking bug. We already ported our client side engine to pure local SQL database back-end with write through cache (on Gears) half a year ago, now it was ported to HTML 5, and we are getting extreme increases in speed already on Chrome (dev v5). Web application with SQL back-end finally got the feel of a local application and everyone appreciates the speed increase while not sacrificing the SQL query power, and now no one is willing to let it go.

Until now we were suggesting our clients to use Firefox as it was the best choice 2 years ago, now I see things have changed. If for Mozilla dumb politics are now more important than user experience I guess it's time to move along.

I already warned the management that we may soon be forced to migrate all our user-base to a better browser which supports all cutting edge HTML 5 standards and is not lagging behind. Ironically now the choice will be Google Chrome 5 (native support) or Internet Explorer 6 (with Chrome Frame), Firefox will be obsolete and incompatible, in other words: DOM will be worse than IE6. Way to go.
Comment 6 Shawn Wilsher :sdwilsh 2010-03-26 06:58:24 PDT
I'm pretty sure we aren't going to implement this and instead do Indexed Database (bug 553412).
Comment 7 Andraz 2010-03-26 07:06:17 PDT
Magic word here is: SQL

As long as it supports executing SQL queries it's good no matter what it's called and what back-end you use.

If not I guess we will just have to wait for Chrome Frame Firefox extension which will fix this bug in DOM engine.
Comment 8 Shawn Wilsher :sdwilsh 2010-03-26 07:18:43 PDT
(In reply to comment #7)
> Magic word here is: SQL
It does not support SQL, but is being worked on by people from IE, Firefox, and Chrome.
Comment 9 guido.tapia@picnet.com.au 2010-07-01 14:49:06 PDT
I just found out about FF's dropped support for webdb in the last couple of days and must say I was devistated.  Excuses used (not really SQL, developers don't want SQL, blah, blah) all sound like bs.

The first real option for enterprise offline apps killed by Mozilla, never would have thought that possible.
Comment 10 Shawn Wilsher :sdwilsh 2010-07-01 15:04:10 PDT
(In reply to comment #9)
> I just found out about FF's dropped support for webdb in the last couple of
> days and must say I was devistated.  Excuses used (not really SQL, developers
> don't want SQL, blah, blah) all sound like bs.
> 
> The first real option for enterprise offline apps killed by Mozilla, never
> would have thought that possible.
We never dropped support.  We never said we were going to support it.  It's not a standard, and it won't likely become one (with or without our support).

Mozilla is working on IndexedDB (bug 553412).  So is chromium, and so is Microsoft.

This bug will not be fixed.

Note You need to log in before you can comment on or make changes to this bug.